# VectorNav C++ Library: Temperature Convertors

Temperature Convertors

Methods useful for temperature conversions. More...

## Functions

float | vn::math::celsius2fahren (float tempInCelsius)
| Converts a temperature in Celsius to Fahrenheit. More...
double | vn::math::celsius2fahren (double tempInCelsius)
| Converts a temperature in Celsius to Fahrenheit. More...
float | vn::math::fahren2celsius (float tempInFahren)
| Converts a temperature in Fahrenheit to Celsius. More...
double | vn::math::fahren2celsius (double tempInFahren)
| Converts a temperature in Fahrenheit to Celsius. More...
float | vn::math::celsius2kelvin (float tempInCelsius)
| Converts a temperature in Celsius to Kelvin. More...
double | vn::math::celsius2kelvin (double tempInCelsius)
| Converts a temperature in Celsius to Kelvin. More...
float | vn::math::kelvin2celsius (float tempInKelvin)
| Converts a temperature in Kelvin to Celsius. More...
double | vn::math::kelvin2celsius (double tempInKelvin)
| Converts a temperature in Kelvin to Celsius. More...
float | vn::math::fahren2kelvin (float tempInFahren)
| Converts a temperature in Fahrenheit to Kelvin. More...
double | vn::math::fahren2kelvin (double tempInFahren)
| Converts a temperature in Fahrenheit to Kelvin. More...
float | vn::math::kelvin2fahren (float tempInKelvin)
| Converts a temperature in Kelvin to Fahrenheit. More...
double | vn::math::kelvin2fahren (double tempInKelvin)
| Converts a temperature in Kelvin to Fahrenheit. More...

## Detailed Description

Methods useful for temperature conversions.

## Function Documentation

float vn::math::celsius2fahren | ( | float | tempInCelsius | ) |

Converts a temperature in Celsius to Fahrenheit.

Parameters

  [in] | tempInCelsius | The temperature in Celsius.

Returns
  The converted temperature in Fahrenheit.

double vn::math::celsius2fahren | ( | double | tempInCelsius | ) |

Converts a temperature in Celsius to Fahrenheit.

Parameters

  [in] | tempInCelsius | The temperature in Celsius.

Returns
  The converted temperature in Fahrenheit.

float vn::math::celsius2kelvin | ( | float | tempInCelsius | ) |

Converts a temperature in Celsius to Kelvin.

Parameters

  [in] | tempInCelsius | The temperature in Celsius.

Returns
  The converted temperature in Kelvin.

double vn::math::celsius2kelvin | ( | double | tempInCelsius | ) |

Converts a temperature in Celsius to Kelvin.

Parameters

  [in] | tempInCelsius | The temperature in Celsius.

Returns
  The converted temperature in Kelvin.

float vn::math::fahren2celsius | ( | float | tempInFahren | ) |

Converts a temperature in Fahrenheit to Celsius.

Parameters

  [in] | tempInFahren | The temperature in Fahrenheit.

Returns
  The converted temperature in Celsius.

double vn::math::fahren2celsius | ( | double | tempInFahren | ) |

Converts a temperature in Fahrenheit to Celsius.

Parameters

  [in] | tempInFahren | The temperature in Fahrenheit.

Returns
  The converted temperature in Celsius.

float vn::math::fahren2kelvin | ( | float | tempInFahren | ) |

Converts a temperature in Fahrenheit to Kelvin.

Parameters

  [in] | tempInFahren | The temperature in Fahrenheit.

Returns
  The converted temperature in Kelvin.

double vn::math::fahren2kelvin | ( | double | tempInFahren | ) |

Converts a temperature in Fahrenheit to Kelvin.

Parameters

  [in] | tempInFahren | The temperature in Fahrenheit.

Returns
  The converted temperature in Kelvin.

float vn::math::kelvin2celsius | ( | float | tempInKelvin | ) |

Converts a temperature in Kelvin to Celsius.

Parameters

  [in] | tempInKelvin | The temperature in Kelvin.

Returns
  The converted temperature in Celsius.

double vn::math::kelvin2celsius | ( | double | tempInKelvin | ) |

Converts a temperature in Kelvin to Celsius.

Parameters

  [in] | tempInKelvin | The temperature in Kelvin.

Returns
  The converted temperature in Celsius.

float vn::math::kelvin2fahren | ( | float | tempInKelvin | ) |

Converts a temperature in Kelvin to Fahrenheit.

Parameters

  [in] | tempInKelvin | The temperature in Kelvin.

Returns
  The converted temperature in Fahrenheit.

double vn::math::kelvin2fahren | ( | double | tempInKelvin | ) |

Converts a temperature in Kelvin to Fahrenheit.

Parameters

  [in] | tempInKelvin | The temperature in Kelvin.

Returns
  The converted temperature in Fahrenheit.